= nng_stat_next(3)
//
// Copyright 2018 Staysail Systems, Inc. <info@staysail.tech>
// Copyright 2018 Capitar IT Group BV <info@capitar.com>
//
// This document is supplied under the terms of the MIT License, a
// copy of which should be located in the distribution where this
// file was obtained (LICENSE.txt).  A copy of the license may also be
// found online at https://opensource.org/licenses/MIT.
//

== NAME

nng_stat_next - get next statistic

== SYNOPSIS

[source, c]
----
#include <nng/nng.h>

typedef struct nng_stat nng_stat;

nng_stat *nng_stat_next(nng_stat *stat);
----

== DESCRIPTION

The `nng_stat_next()` function returns the next sibling statistic of the
statistic _stat_.
If no more siblings are present, then `NULL` is returned.

== RETURN VALUES

The next sibling statistic of _stat_, or NULL if _stat_ is the last sibling.

== ERRORS

None.

== SEE ALSO

[.text-left]
xref:libnng.3.adoc[libnng(3)],
xref:nng_stat_child.3.adoc[nng_stat_child(3)],
xref:nng_stats_get.3.adoc[nng_stats_get(3)],
xref:nng_stat.5.adoc[nng_stat(5)],
xref:nng.7.adoc[nng(7)]
